<?php

namespace Planaday\Config\OptionTypes;

/**
 * @template TDefault
 * @extends Option<int, TDefault>
 */
class IntOption extends Option {

	/**
	 * @param string $index
	 * @param string $title
	 * @param string $description
	 * @param null|int $value
	 * @param TDefault $defaultValue
	 */
	public function __construct( string $index, string $title, string $description, ?int $value, $defaultValue ) {
		parent::__construct( $index, $title, $description, $value, $defaultValue );
	}

	function getType(): string {
		return 'int';
	}
}